import { sortReducer as sort } from '../../features/sort/sort-slice.js';
import { registerSortCriterion, updateSortCriterion } from './sort-actions.js';
/**
 * Loads the `sort` reducer and returns possible action creators.
 *
 * @param engine - The headless engine.
 * @returns An object holding the action creators.
 *
 * @group Actions
 * @category Sort
 */
export function loadSortActions(engine) {
    engine.addReducers({ sort });
    return {
        registerSortCriterion: registerSortCriterion,
        updateSortCriterion: updateSortCriterion,
    };
}
